﻿//Net
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Security;
using System.Drawing;
using System.Xml;
using System.Web;
using System.Web.Services;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

//WHS
using Microsoft.HomeServer.Common;
using Microsoft.HomeServer.RemoteAccess;

namespace Microsoft.HomeServer.RemoteAccess.PublicLanding
{
    public partial class _Default : System.Web.UI.MasterPage
    {
        //protected HtmlForm form1;
        

        protected void DoLogin(object sender, EventArgs e)
        {
            if (base.Request.IsSecureConnection)
            {
                base.Response.Redirect("~/../remote", true);
            }
            else
            {
                base.Response.Redirect("https://" + base.Request.Url.Authority + "/remote", true);
            }
        }

        public string GlobalString(string name)
        {
            return Resources.GlobalResources.ResourceManager.GetString(name);
        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            this.Login.Text = this.GlobalString("ButtonText");
            /*base.Title = this.WebSiteName;
            if (!string.IsNullOrEmpty(base.Request.QueryString["gotodefault"]))
            {
                WebSiteInfo defaultWebSite = GlobalSettings.DefaultWebSite;
                if (defaultWebSite != null)
                {
                    if (defaultWebSite.AbsolutePath)
                    {
                        base.Response.Redirect(defaultWebSite.Uri, true);
                    }
                    if (defaultWebSite.Uri != base.Request.ApplicationPath)
                    {
                        base.Response.Redirect("https://" + base.Request.Url.Authority + defaultWebSite.Uri, true);
                    }
                }
            }*/
        }
        protected string WebSiteName
        {
            get
            {
                return Resources.GlobalResources.Title;
            }
        }

    }
    
}